// Created via CMake from template version.h.in
// WARNING! Any changes to this file will be overwritten by the next CMake run!

#ifndef LIBREPOINDEX_VERSION

#define LIBREPOINDEX_VERSION_MAJOR 0
#define LIBREPOINDEX_VERSION_MINOR 2
#define LIBREPOINDEX_VERSION_PATCH 6
#define LIBREPOINDEX_VERSION_VCSRE 
#define LIBREPOINDEX_VERSION_VCSID ""

#define LIBREPOINDEX_VERSION_STR "0.2.6"
#define LIBREPOINDEX_VERSION_CHECK(major, minor, patch) ((major<<16)|(minor<<8)|(patch))
#define LIBREPOINDEX_VERSION \
    LIBREPOINDEX_VERSION_CHECK(LIBREPOINDEX_VERSION_MAJOR, LIBREPOINDEX_VERSION_MINOR, LIBREPOINDEX_VERSION_PATCH)

/*!
 * \def LIBREPOINDEX_VERSION_MAJOR
 * \brief Mayor version of the librepoindex library.
 */

/*!
 * \def LIBREPOINDEX_VERSION_MINOR
 * \brief Minor version of the librepoindex library.
 */

/*!
 * \def LIBREPOINDEX_VERSION_PATCH
 * \brief Patch version of the librepoindex library.
 */

/*!
 * \def LIBREPOINDEX_VERSION_VCSRE
 * \brief Revision number in the version control system of the librepoindex library.
 */

/*!
 * \def LIBREPOINDEX_VERSION_VCSID
 * \brief Revision ID in the version control system of the librepoindex library.
 */

/*!
 * \def LIBREPOINDEX_VERSION_STR
 * \brief Version of the librepoindex library as string (for display purposes).
 */

/*!
 * \def LIBREPOINDEX_VERSION_CHECK
 * \brief Can be used like "#if (LIBREPOINDEX_VERSION >= LIBREPOINDEX_VERSION_CHECK(5, 1, 0))".
 */

/*!
 * \def LIBREPOINDEX_VERSION
 * \brief Defined as (major << 16) + (minor << 8) + patch.
 */

#endif // LIBREPOINDEX_VERSION
